Upgarde to 14.0

HI,

Trying to upgrade My Gitlab CE 13.12 10 to 14.0.7 …getting below error while unpacking the installer

(Reading database … 154282 files and directories currently installed.)
Preparing to unpack gitlab-ce_14.0.7-ce.0_amd64.deb …

  • unicorn[‘worker_timeout’] has been deprecated since 13.10 and was removed in 14.0. Starting with GitLab 14.0, Unicorn is no longer supported and users must switch to Puma, following Puma | GitLab.
    Deprecations found. Please correct them and try again.
    dpkg: error processing archive gitlab-ce_14.0.7-ce.0_amd64.deb (–install):
    new gitlab-ce package pre-installation script subprocess returned error exit status 1

Please help.

Check /etc/gitlab.rb and any uncommented lines relating to unicorn delete since unicorn is no longer possible to use as its been replaced with puma.

The link to the docs in the error message would also tell you what to do for changing settings from unicorn to puma.